package com.red.circle.other.app.inner.service.team;

import com.red.circle.other.inner.model.dto.agency.agency.UserHistoryIdentityDTO;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 用户历史身份.
 *
 * @author pengliang on 2023/8/19
 */
public interface UserHistoryIdentityClientService {

  List<String> getLabels(Long userId);

  List<String> getUserLabels(UserHistoryIdentityDTO identity);

  Map<Long, UserHistoryIdentityDTO> mapByIds(Set<Long> userIds);

  void saveHost(Long userId);

  void saveBd(Long userId);

  void saveManager(Long userId);
}
